summaryrefslogtreecommitdiffstats
path: root/audio/waon/waon.SlackBuild
diff options
context:
space:
mode:
author B. Watson2011-07-13 10:32:49 +0200
committer Niels Horn2011-07-15 02:54:06 +0200
commit8497b24819ae3217a23a81e02feced95dc33178e (patch)
tree651a7476df7e298248d5f6798a7a728dbbd7b34c /audio/waon/waon.SlackBuild
parent5608364beec2ca304474296e74d9b77451e076f8 (diff)
downloadslackbuilds-8497b24819ae3217a23a81e02feced95dc33178e.tar.gz
audio/waon: Added (Wave-to-Notes transcriber)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'audio/waon/waon.SlackBuild')
-rw-r--r--audio/waon/waon.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/audio/waon/waon.SlackBuild b/audio/waon/waon.SlackBuild
new file mode 100644
index 0000000000..09577e782c
--- /dev/null
+++ b/audio/waon/waon.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for waon
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=waon
+VERSION=${VERSION:-0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# We will install pv as waon-pv, to avoid clashing with the existing SBo pv
+# package, so change references in all man pages from pv to waon-pv.
+sed -i -e 's/\.B pv/.B waon-pv/' -e 's/\.TH PV/.TH WAON-PV/' pv.1
+sed -i -e 's/\<pv\>/waon-pv/' $PRGNAM.1 g$PRGNAM.1
+
+sed -i "s,-O3,$SLKCFLAGS," Makefile
+make
+
+# No 'make install' rule, just stick everything where it goes.
+mkdir -p $PKG/usr/{bin,man/man1}
+install -s -m0755 $PRGNAM $PKG/usr/bin
+install -s -m0755 g$PRGNAM $PKG/usr/bin
+install -s -m0755 pv $PKG/usr/bin/$PRGNAM-pv
+gzip -9c $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+gzip -9c g$PRGNAM.1 > $PKG/usr/man/man1/g$PRGNAM.1.gz
+gzip -9c pv.1 > $PKG/usr/man/man1/$PRGNAM-pv.1.gz
+
+# desktop file written for this SlackBuild
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# Icon converted from WaoN.gif in the source (anyone care to design a better
+# looking icon & send it upstream?)
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README COPYING ChangeLog TIPS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}